
Summary: 	Grsync is a GUI (Graphical User Interface) for rsync
Name: 	 	grsync
Version: 	1.3.1
Release: 	%mkrel 1
License: 	GPL
Group: 		Networking/File transfer
URL: 		http://www.opbyte.it/grsync/
Source0: 	%{name}-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	pkgconfig
BuildRequires:	gtk+2-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	desktop-file-utils
BuildRequires:	dos2unix
BuildRequires:	intltool
BuildRequires:	imagemagick
Requires:  	rsync

%description
Grsync is a GUI (Graphical User Interface) for rsync, the commandline
directory synchronization tool. It makes use of the GTK2 libraries and
it is released under the GPL2. It is in beta stage and it supports only
a limited set of rsync features, but can be effectively used to
synchronize local directories.


%prep
%setup -q
perl -p -i -e 's/grsync.png/grsync/g' grsync.desktop

%build
autoreconf -vfi
%configure2_5x --disable-unity
%make LIBS="-lm"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -m644 pixmaps/%{name}.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -scale 48 %buildroot/%_liconsdir/%name.png %buildroot/%_liconsdir/%name.png
install -m644 pixmaps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -scale 32 %buildroot/%_iconsdir/%name.png %buildroot/%_iconsdir/%name.png
install -m644 pixmaps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert -scale 16 %buildroot/%_miconsdir/%name.png %buildroot/%_miconsdir/%name.png

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-System-Archiving-Backup" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

dos2unix NEWS AUTHORS README

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/%{name}-batch
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/grsync.png
%{_mandir}/*/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/grsync/grsync.glade
%{_datadir}/icons/hicolor/48x48/mimetypes/application-x-grsync-session.png
%{_datadir}/mime/packages/grsync.xml
%{_datadir}/pixmaps/grsync-busy.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus


%changelog
* Tue Nov 28 2023 tex - 1.3.1-1pclos2023
- new version

* Tue Jun 29 2021 tex - 1.3.0-2pclos2021
- rebuild against updates

* Sat Apr 10 2021 tex - 1.3.0-1pclos2021
- new version

* Thu May 21 2020 tex - 1.2.8-1pclos2020
- new version

